package com.huimv.service.impl;

import com.huimv.entity.People;
import com.huimv.mapper.PeopleMapper;
import com.huimv.service.IPeopleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2023-04-12
 */
@Service
public class PeopleServiceImpl extends ServiceImpl<PeopleMapper, People> implements IPeopleService {

    @Autowired
    private PeopleMapper peopleMapper;

    @Override
    public void addPeople(String[] people) {
        People people1 = new People();
        people1.setName(people[0]);
        people1.setAge(Integer.parseInt(people[1]));
        people1.setSex(people[2]);
        peopleMapper.insert(people1);
    }
}
